+++
title = 'Environment'
weight = 30
+++

## Desktop Linux software

All my machine run on Linux, and generally use these softwares:

- Archlinux
- Sway window manager (i3 for wayland) with fully custom config
- Systemd
- Sublime Text and Zed editors


## Main machine

This machine is a bit overkill as it has been designed to host two desktops in one machine (one native, and one in a VM)

- CPU: AMD 7900X, RAM: 32GB, GPU: RX 7800XT
- Custom watercooling and Arduino-based fan speed controller
- Qemu virtualisation for windows VMs, with a dedicated GPU (Geforce GTX 1070) using PCI passthrough.


## This server (VPS)

Used for hosting some services and experiments

- Archlinux
- Nextcloud, Collabora, Matrix server, Forgejo, and other services


## LCDA server (dedicated)

More robust / stable server for hosting my Neverwinter Nights 2 server

- Ubuntu LTS
- Ansible for setup / configuration
- Qemu / KVM with virtio networking
- Collectd, Graphite, influxdb and grafana for monitoring
- A lot of bash script for common task automation
- Off-site daily backups
