+++
date = '2017-05-04'
title = 'Harden your code course (1h)'
tags = ["course", "CD", "CI", "QA"]
+++

{{< cinema path="/images/posts/hardenyourcode-*.*" >}}


In 2017 I gave a 2-hour course in ISEN Brest with the Electronics Club, to introduce students to __Quality Assurance__ and __Test Driven Development__, with a __language agnostic__ approach.

### Course topics:
- __Quality Assurance__ definition
- __Unit testing__: Good practices, test driven development, unit tests as documentation
- __Coverage analysis__: examples
- __Contract programming__: in/out checks, invariants
- __Continuous Integration__: auto testing, online coverage analysis, contribution process on some open source projects (i.e. PR merge checks)
- Misc: stubs / mock-ups, exception versus assertion, compiler and language tooling, static / dynamic code analysis, fuzzing, code verbosity / factorization, code formatting, profile-guided optimizations

<!--more-->

### More
- All slides (English): https://cromfr.github.io/course-hardenyourcode
