+++
date = '2020-08-21'
title = 'Hedgeclog (ExtraCredits Game Jam #6)'
tags = ["game-jam", "game-dev", "godot"]
+++

{{< cinema path="/images/posts/hedgeclog-?.*" >}}

<blockquote>
A fire broke out at "Hedgehogs and associates" !<br/>
All hedgehogs have to leave the building!<br/>
But co-workers need to keep a safe distance from each others’ spikes !<br/>
Help them get through the fire hazard!
<legend>Game pitch</legend>
</blockquote>

On August 21st 2020 I participated with Romain Pelle ([@roma-p](https://github.com/roma-p)) to a 72h Game Jam organized by [ExtraCredits](https://www.youtube.com/extracredits/) with the theme _"Take Care"_.

The game we created is a **puzzle game** where you control multiple hedgehogs and must direct them to the exit door, while avoiding the fire and making sure that they don't get too close to each other.

Each level has been designed to introduce **one single mechanic at a time**, with a **gradual yet rewarding difficulty curve**.

### Reception

The game received a lot of very **positive feedback**. There is no official ranking of games, but the game moves between the **10th and 20th place** according to itch.io popularity ranking (though we don't know how this ranking is computed).

{{< cinema path="/images/posts/hedgeclog-feedback-?.*" >}}


### Skills
- Game design
- Godot 3 (python-ish scripting)
- 2D sprite creation (Krita)
- Sound design (Audacity)
- Level design

### More
- Game jam page: https://itch.io/jam/extra-credits-game-jam-6
- Game page (can be played in the browser): https://cromfr.itch.io/hedgeclog
- Source code: https://github.com/hedgeclog/HedgeClog
