+++
date = '2018-01-01'
title = 'Matrix-related projects & contributions'
tags = ["go", "rust", "contributions"]
+++

[Matrix](https://matrix.org) is an open source protocol for **secure decentralized communication**, that provides a fairly easy to use JSON/REST API for application developers.

Currently it's **mainly used for chat** using [Riot](https://riot.im), but **the protocol is quite versatile** and can be used in many different ways like [blogging](https://github.com/lukebarnard1/journal), communicating with [home assistant](https://www.home-assistant.io/components/notify.matrix/), IOT control, [virtual reality](https://www.youtube.com/watch?v=mGDaQQlXrLA), ...

**The community around Matrix is very strong**, and many people have created alternative clients, and bridges for synchronizing other chat platforms (IRC, Slack, Mattermost, Telegram, Discord, ...) with Matrix. Progressively Matrix is becoming the one chat platform to rule them all.

<!--more-->

## Contributions

You can find [my contributions here](https://github.com/search?q=is%3Apr+author%3ACromFr+user%3Amatrix-org).

## Projects around Matrix
- For the fun: [Doge bot - much wow](https://github.com/CromFr/matrix-doge-bot). Speak doge and enter.
- Command-line client for logging messages: [matrix-logger](https://gitlab.com/CromFr/matrix-logger).
- Joined room synchronization across two accounts: [matrix-autoinvite](https://gitlab.com/CromFr/matrix-autoinvite).
