+++
date = '2009-06-01'
title = 'Neverwinter Nights 2'
tags = ["gamedev", "C", "school project"]
+++


Since 2009, I am in the development team of _La Colère d'Aurile_, a French persistent role-play/action server on Neverwinter Nights 2 based on the pen&paper role playing game Dungeon & Dragons.

## Neverwinter Nights 2

{{< cinema path="/images/posts/nwn2-*.*" >}}

Neverwinter Nights 2 is a role playing game based on the universe and rules of Dungeon and Dragons 3.5, developed by Obsidian in 2006, following the first of the name.

This game offers - in addition to a solo campaign - an online multiplayer mode, with a nice editor that allows to create custom content and host in on a personal server.


The editor is quite powerful, and allows to create 3D maps, dialogs, compiled scripts (in a C-like language), ... and the environment around it is free enough to add custom 3D models, ingame UI or change the core rules of the game (races addition, class addition, spell modification, ..).

Some developers have even found a way to execute C# program on the server-side through pipes with the server process, allowing for example to do SQL requests.

<!--more-->

## _La Colère d'Aurile_

{{< cinema path="/images/posts/lcda-*.*" >}}

_La Colère d'Aurile_ is a public persistent server, launched in Avril 26 2008.

Since 2012, I am the administrator charged of development and integration.

### Skills

- Team development of the server
- Handling a non-professional development team (objective attribution, priorities, ...)
- Creation of maps, scenarios, dialogs, quests, monster balancing, ...
- Development tools setup : Git, Continuous integration by hook scripts
- Design and management of a MySQL Database


### More
- [Web site](http://lacoleredaurile.xooit.fr/portal.php)
- [Remapping](https://www.youtube.com/watch?v=n8AqZzG1_1M)
- [Experiments with powder barrels](https://www.youtube.com/watch?v=yVMEmEEtULQ)
- [Dialog UI redesign (with my own drawings!)](https://www.youtube.com/watch?v=gEHg1zyRMSo)
