+++
date = '2011-12-01'
title = 'Quad-copter'
tags = ["hardware", "linux", "C", "C++", "embedded"]
+++

In 2012, with the Electronics Club of ISEN Brest, started working on a radio-controlled quad-rotor drone.

{{< cinema path="/images/posts/drone-*.*" >}}

This project implies everything from electronics and low-level programming to higher level software for the stabilization : we didn't want to build a kit, our goal was to build everything from scratch.


### Skills
- DIY
- Electronic card development
- Brushless motors control
- ARM development in C++ aimed for raspberry Pi and for STM32F4 (bare metal)</li>
- TCP/IP network communication
- User interface with Qt 4.8
- Presentation of the quad-copter at ISEN open days

### More

- [Source code](https://github.com/search?utf8=%E2%9C%93&q=Aerodrone_+user%3ACromFr&type=Repositories)
