+++
date = '2020-12-30'
title = 'Advent of Code 2020'
tags = ["rust", "aoc", "algorithm"]
+++

In December 2020 I decided to participate in the Advent of Code 2020, a yearly event where every day of December, you get an __algorithmic puzzle__ that you can solve using any language you want (the input data is randomly generated and you must provide the correct answer). I chose to solve the daily puzzles with __Rust__ code, since I am __very interested in this language__ and I haven't practised it very much.

My goal was not to earn a maximum of points by solving the puzzles as fast as possible once they are released (they were released at 6AM an France), but rather to __find the most interesting and/or efficient ways to solve__ them.

I also joined the Discord server or my former engineering school to __help students__ that were participating in the event. This led to a lot of interesting discussions about code instrumentation and optimisation, algorithmic complexity, regular expressions, language features, ...

<!--more-->

### Skills
- Rust programming
- Algorithms
- Problem solving
- Teaching

### More
- AoC website: https://adventofcode.com/2020/
- My solutions: https://gitlab.com/CromFr/advent-of-code-2020
